import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:cuidai_plugin/cuidai_plugin.dart';
import 'package:flutter/widgets.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
    // Init the Cuidai SDK
    CuidaiPlugin.initSDK();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Cuidai Plugin example app'),
        ),
        body: Center(
          child: RaisedButton(
            onPressed: () {
              //Open Cuidai default screen
              CuidaiPlugin.open();
            },
            color: Colors.deepOrange,
            textColor: Colors.white,
            child: const Text('Start Cuidai', style: TextStyle(fontSize: 20)),
          ),
        )
      ),
    );
  }
}
